ZIPPER(1)

NAME
zipper - compress and extract files from archives

SYNOPSIS
zipper {zip|gzip} archive file [files...]

zipper {unzip|gunzip} archive

DESCRIPTION
zipper provides tools to manage compressed zip and gzip files.

zipper stores the full path of the specified files when creating an archive, but does not store any timestamp or permission information.

zipper extracts files to the full path specified within the archive; the original archive file is unchanged. zipper does not support restoring the original file timestamps or permissions, even if such information is recorded in the archive.

COMMANDS

zip Create a new zip archive

unzip
    Extract all files from a zip archive.

gzip
    Create a new gzip archive

gunzip
    Extract the first file from the gzip archive.

OPTIONS

archive
    Filename of the compressed zip/gzip file. The special '-' filename is treated as standard input/output. When creating a new archive, this file will be overwritten indiscriminately.

files
    A list of files to add into the archive. The special '-' filename is treated as standard input/output.

EXAMPLES

Create a zip file
    zipper zip /tmp/foo.zip bar.txt baz.txt

Extract a gzip file
    zipper gunzip /tmp/foo.gz

CONFORMING TO
zipper supports the DEFLATE algorithm described by RFC1951, and the gzip file format described by RFC1952.

BUGS
For gzip files, zipper is able to create an archive containing multiple files, but can only extract the first file.

SEE ALSO
gunzip(1), gzip(1), unzip(1), zip(1)